This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535216 - (RHQ-1936) when you upload new plugins, the UI page doesn't show the refreshed h:messages
when you upload new plugins, the UI page doesn't show the refreshed h:messages
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage rhq4
  Show dependency treegraph
 
Reported: 2009-04-06 11:37 EDT by John Mazzitelli
Modified: 2011-02-11 17:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-11 17:09:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-04-06 11:37:00 EDT
go to the plugins UI page (Administration>Plugins).

Upload a plugin (any plugin, even one that already exists).

The <h:messages> component at the top should re-render to show you the messages to tell you what was uploaded.

The messages never show up.

Why doesn't this work?

plugin-list.xhtml:

<h:messages id="pluginsmessages"
...
        <rich:fileUpload
            ...
            <a4j:support event="onuploadcomplete" reRender="pluginsmessages" />

InstalledPluginsUIBean.java:

    public void fileUploadListener(UploadEvent event) {
    ...
            FacesContextUtility.addMessage(FacesMessage.SEVERITY_INFO, "New agent plugin uploaded: " + agentPlugin);
    ...
Comment 1 John Mazzitelli 2009-04-06 11:38:16 EDT
I tried using a4j:region and a4j:output to no effect. Clearly, I have no idea what I'm doing.
Comment 2 John Mazzitelli 2009-04-06 15:02:58 EDT
Asked about this on the RichFaces forum:

http://www.jboss.org/index.html?module=bb&op=viewtopic&p=4223787#4223787
Comment 3 Red Hat Bugzilla 2009-11-10 15:49:50 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1936
Comment 4 wes hayutin 2010-02-16 11:52:29 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 5 wes hayutin 2010-02-16 11:58:15 EST
making sure we're not missing any bugs in rhq_triage
Comment 6 Ian Springer 2011-02-11 17:09:44 EST
This is JSF - won't fix.

Note You need to log in before you can comment on or make changes to this bug.